Bug 58436 - mtx-1.2.12 breaks ADIC 1200E changer
mtx-1.2.12 breaks ADIC 1200E changer
Product: Red Hat Linux
Classification: Retired
Component: mtx (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-01-16 10:45 EST by Graham Mainwaring
Modified: 2013-07-02 18:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-12-14 13:53:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Description posted to mtx-general mailing list (7.21 KB, text/plain)
2002-01-16 10:47 EST, Graham Mainwaring
no flags Details

  None (edit)
Description Graham Mainwaring 2002-01-16 10:45:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)

Description of problem:
mtx-1.2.10 as distributed with Red Hat Linux 7.1 can control my changer without 
a problem. After upgrading to Red Hat Linux 7.2 I discovered that mtx-1.2.13 
always gives the error message "Transport Element Descriptor Length too short: 
0". Downgrading to the mtx-1.2.10 rpm from 7.1 works fine as a workaround. I 
have reported this problem on the mtx-general mailing list; I am attaching that 
posting (with all supporting detail) as additional comments.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Find yourself an ADIC 1200E tape changer with revision 462 firmware.
2. Try to run an mtx command such as "mtx status."

Actual Results:  Error message: "Transport Element Descriptor Length too short: 

Expected Results:  The command should have been executed; for "mtx status" you 
would expect to see status information and tape inventory for the changer.

Additional info:

See the attachment.
Comment 1 Graham Mainwaring 2002-01-16 10:47:44 EST
Created attachment 42594 [details]
Description posted to mtx-general mailing list
Comment 2 Graham Mainwaring 2002-01-17 17:58:48 EST
I have worked with the mtx maintainer, Eric Lee Green, to resolve this problem. 
The latest CVS code on SourceForge now works correctly with the ADIC changer. 
Eric says he plans to back-port the fix to the stable 1.2 version.
Comment 3 Ngo Than 2002-01-18 07:10:13 EST
thanks for your infos. I will wait for release of this version.
Comment 4 Jindrich Novy 2004-10-31 12:18:57 EST
Graham, is it still a problem with recent version of mtx? (I mean

Note You need to log in before you can comment on or make changes to this bug.